﻿@model SifKategorijaObavijestiViewModel

@{
    ViewData["Title"] = "SifKategorijeObavijesti";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Kategorije obavijesti</h1>

<p>
    <small>
        Stranica za prikaz šifrarnika kategorija obavijesti. Napravljeno je straničenje i sortiranje.
        Za svaku stavku je omogućeno uređivanje i brisanje. Prilikom brisanja se pita korisnik je li siguran da želi obrisati zapis.
        Na dnu se nalazi link za dodavanje nove kategorije obavijesti.
    </small>
</p>

<pager page-info="@Model.PagingInfo" page-title="Unesite zeljenu stranicu"
       page-action="Index" class="float-right">
</pager>
<table class="table">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">
                    Kategorija obavijesti
                </a>
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.SifKategorijeObavijesti) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Naziv)
            </td>
            <td>
                <a asp-action="Edit" asp-route-Id="@item.Id">Uredi</a> |
                <a class="delete" asp-action="Delete" asp-route-Id="@item.Id">Izbriši</a>
            </td>
        </tr>
}
    </tbody>
</table>
<p>
    <a asp-action="Create">Dodaj novu kategoriju</a>
</p>
